# Serialized Form

## Package com.databricks.jdbc.exception

### Exception Class com.databricks.jdbc.exception.DatabricksBatchUpdateException

class DatabricksBatchUpdateException extends BatchUpdateException implements Serializable

#### Serialized Fields

##### longUpdateCounts

    long[] longUpdateCounts

##### updateCounts

    int[] updateCounts

### Exception Class com.databricks.jdbc.exception.DatabricksDriverException

class DatabricksDriverException extends RuntimeException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksHttpException

class DatabricksHttpException extends DatabricksSQLException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksParsingException

class DatabricksParsingException extends DatabricksSQLException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksRetryHandlerException

class DatabricksRetryHandlerException extends IOException implements Serializable

#### Serialized Fields

##### errCode

    int errCode

### Exception Class com.databricks.jdbc.exception.DatabricksSQLClientInfoException

class DatabricksSQLClientInfoException extends SQLClientInfoException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksSQLException

class DatabricksSQLException extends SQLException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksSQLFeatureNotImplementedException

class DatabricksSQLFeatureNotImplementedException extends DatabricksSQLException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksSQLFeatureNotSupportedException

class DatabricksSQLFeatureNotSupportedException extends SQLFeatureNotSupportedException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksSSLException

class DatabricksSSLException extends DatabricksSQLException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksTemporaryRedirectException

class DatabricksTemporaryRedirectException extends DatabricksSQLException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksTimeoutException

class DatabricksTimeoutException extends SQLTimeoutException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksValidationException

class DatabricksValidationException extends DatabricksSQLException implements Serializable

### Exception Class com.databricks.jdbc.exception.DatabricksVolumeOperationException

class DatabricksVolumeOperationException extends DatabricksSQLException implements Serializable

## Package com.databricks.jdbc.model.client.thrift.generated

### Class com.databricks.jdbc.model.client.thrift.generated.TArrayTypeEntry

class TArrayTypeEntry extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### objectTypePtr

    int objectTypePtr

### Class com.databricks.jdbc.model.client.thrift.generated.TBinaryColumn

class TBinaryColumn extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<ByteBuffer> values

### Class com.databricks.jdbc.model.client.thrift.generated.TBoolColumn

class TBoolColumn extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<Boolean> values

### Class com.databricks.jdbc.model.client.thrift.generated.TBoolValue

class TBoolValue extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### value

    boolean value

### Class com.databricks.jdbc.model.client.thrift.generated.TByteColumn

class TByteColumn extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<Byte> values

### Class com.databricks.jdbc.model.client.thrift.generated.TByteValue

class TByteValue extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### value

    byte value

### Class com.databricks.jdbc.model.client.thrift.generated.TCancelDelegationTokenReq

class TCancelDelegationTokenReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### delegationToken

    String delegationToken

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TCancelDelegationTokenResp

class TCancelDelegationTokenResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TCancelOperationReq

class TCancelOperationReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### operationHandle

    TOperationHandle operationHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TCancelOperationResp

class TCancelOperationResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CancelDelegationToken_args

class CancelDelegationToken_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TCancelDelegationTokenReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CancelDelegationToken_result

class CancelDelegationToken_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TCancelDelegationTokenResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CancelOperation_args

class CancelOperation_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TCancelOperationReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CancelOperation_result

class CancelOperation_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TCancelOperationResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CloseOperation_args

class CloseOperation_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TCloseOperationReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CloseOperation_result

class CloseOperation_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TCloseOperationResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CloseSession_args

class CloseSession_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TCloseSessionReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.CloseSession_result

class CloseSession_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TCloseSessionResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.ExecuteStatement_args

class ExecuteStatement_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TExecuteStatementReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.ExecuteStatement_result

class ExecuteStatement_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TExecuteStatementResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.FetchResults_args

class FetchResults_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TFetchResultsReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.FetchResults_result

class FetchResults_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TFetchResultsResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetCatalogs_args

class GetCatalogs_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetCatalogsReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetCatalogs_result

class GetCatalogs_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetCatalogsResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetColumns_args

class GetColumns_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetColumnsReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetColumns_result

class GetColumns_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetColumnsResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetCrossReference_args

class GetCrossReference_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetCrossReferenceReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetCrossReference_result

class GetCrossReference_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetCrossReferenceResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetDelegationToken_args

class GetDelegationToken_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetDelegationTokenReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetDelegationToken_result

class GetDelegationToken_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetDelegationTokenResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetFunctions_args

class GetFunctions_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetFunctionsReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetFunctions_result

class GetFunctions_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetFunctionsResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetInfo_args

class GetInfo_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetInfoReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetInfo_result

class GetInfo_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetInfoResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetOperationStatus_args

class GetOperationStatus_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetOperationStatusReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetOperationStatus_result

class GetOperationStatus_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetOperationStatusResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetPrimaryKeys_args

class GetPrimaryKeys_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetPrimaryKeysReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetPrimaryKeys_result

class GetPrimaryKeys_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetPrimaryKeysResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetResultSetMetadata_args

class GetResultSetMetadata_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetResultSetMetadataReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetResultSetMetadata_result

class GetResultSetMetadata_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetResultSetMetadataResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetSchemas_args

class GetSchemas_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetSchemasReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetSchemas_result

class GetSchemas_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetSchemasResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetTables_args

class GetTables_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetTablesReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetTables_result

class GetTables_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetTablesResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetTableTypes_args

class GetTableTypes_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetTableTypesReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetTableTypes_result

class GetTableTypes_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetTableTypesResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetTypeInfo_args

class GetTypeInfo_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TGetTypeInfoReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.GetTypeInfo_result

class GetTypeInfo_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TGetTypeInfoResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.OpenSession_args

class OpenSession_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TOpenSessionReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.OpenSession_result

class OpenSession_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TOpenSessionResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.RenewDelegationToken_args

class RenewDelegationToken_args extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### req

    TRenewDelegationTokenReq req

### Class com.databricks.jdbc.model.client.thrift.generated.TCLIService.RenewDelegationToken_result

class RenewDelegationToken_result extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### success

    TRenewDelegationTokenResp success

### Class com.databricks.jdbc.model.client.thrift.generated.TCloseOperationReq

class TCloseOperationReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### operationHandle

    TOperationHandle operationHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TCloseOperationResp

class TCloseOperationResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TCloseSessionReq

class TCloseSessionReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TCloseSessionResp

class TCloseSessionResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TColumn

class TColumn extends org.apache.thrift.TUnion<TColumn,TColumn._Fields> implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Class com.databricks.jdbc.model.client.thrift.generated.TColumnDesc

class TColumnDesc extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### columnName

    String columnName

##### comment

    String comment

##### position

    int position

##### typeDesc

    TTypeDesc typeDesc

### Class com.databricks.jdbc.model.client.thrift.generated.TColumnValue

class TColumnValue extends org.apache.thrift.TUnion<TColumnValue,TColumnValue._Fields> implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Class com.databricks.jdbc.model.client.thrift.generated.TDBSqlArrowFormat

class TDBSqlArrowFormat extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### arrowLayout

    TDBSqlArrowLayout arrowLayout

See Also:
  - `TDBSqlArrowLayout`

##### compressionCodec

    TDBSqlCompressionCodec compressionCodec

See Also:
  - `TDBSqlCompressionCodec`

### Class com.databricks.jdbc.model.client.thrift.generated.TDBSqlCsvFormat

class TDBSqlCsvFormat extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### compressionCodec

    TDBSqlCompressionCodec compressionCodec

See Also:
  - `TDBSqlCompressionCodec`

### Class com.databricks.jdbc.model.client.thrift.generated.TDBSqlJsonArrayFormat

class TDBSqlJsonArrayFormat extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### compressionCodec

    TDBSqlCompressionCodec compressionCodec

See Also:
  - `TDBSqlCompressionCodec`

### Class com.databricks.jdbc.model.client.thrift.generated.TDBSqlResultFormat

class TDBSqlResultFormat extends org.apache.thrift.TUnion<TDBSqlResultFormat,TDBSqlResultFormat._Fields> implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Class com.databricks.jdbc.model.client.thrift.generated.TDoubleColumn

class TDoubleColumn extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<Double> values

### Class com.databricks.jdbc.model.client.thrift.generated.TDoubleValue

class TDoubleValue extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### value

    double value

### Class com.databricks.jdbc.model.client.thrift.generated.TExecuteStatementReq

class TExecuteStatementReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### canDecompressLZ4Result

    boolean canDecompressLZ4Result

##### canDownloadResult

    boolean canDownloadResult

##### canReadArrowResult

    boolean canReadArrowResult

##### confOverlay

    Map<String,String> confOverlay

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### maxBytesPerBatch

    long maxBytesPerBatch

##### maxBytesPerFile

    long maxBytesPerFile

##### parameters

    List<TSparkParameter> parameters

##### queryTimeout

    long queryTimeout

##### resultRowLimit

    long resultRowLimit

##### runAsync

    boolean runAsync

##### sessionHandle

    TSessionHandle sessionHandle

##### statement

    String statement

##### statementConf

    TStatementConf statementConf

##### useArrowNativeTypes

    TSparkArrowTypes useArrowNativeTypes

### Class com.databricks.jdbc.model.client.thrift.generated.TExecuteStatementResp

class TExecuteStatementResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TFetchResultsReq

class TFetchResultsReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### fetchType

    short fetchType

##### includeResultSetMetadata

    boolean includeResultSetMetadata

##### maxBytes

    long maxBytes

##### maxRows

    long maxRows

##### operationHandle

    TOperationHandle operationHandle

##### orientation

    TFetchOrientation orientation

See Also:
  - `TFetchOrientation`

##### startRowOffset

    long startRowOffset

### Class com.databricks.jdbc.model.client.thrift.generated.TFetchResultsResp

class TFetchResultsResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### hasMoreRows

    boolean hasMoreRows

##### results

    TRowSet results

##### resultSetMetadata

    TGetResultSetMetadataResp resultSetMetadata

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetCatalogsReq

class TGetCatalogsReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetCatalogsResp

class TGetCatalogsResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetColumnsReq

class TGetColumnsReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### catalogName

    String catalogName

##### columnName

    String columnName

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### schemaName

    String schemaName

##### sessionHandle

    TSessionHandle sessionHandle

##### tableName

    String tableName

### Class com.databricks.jdbc.model.client.thrift.generated.TGetColumnsResp

class TGetColumnsResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetCrossReferenceReq

class TGetCrossReferenceReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### foreignCatalogName

    String foreignCatalogName

##### foreignSchemaName

    String foreignSchemaName

##### foreignTableName

    String foreignTableName

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### parentCatalogName

    String parentCatalogName

##### parentSchemaName

    String parentSchemaName

##### parentTableName

    String parentTableName

##### runAsync

    boolean runAsync

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetCrossReferenceResp

class TGetCrossReferenceResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetDelegationTokenReq

class TGetDelegationTokenReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### owner

    String owner

##### renewer

    String renewer

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetDelegationTokenResp

class TGetDelegationTokenResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### delegationToken

    String delegationToken

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetFunctionsReq

class TGetFunctionsReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### catalogName

    String catalogName

##### functionName

    String functionName

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### schemaName

    String schemaName

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetFunctionsResp

class TGetFunctionsResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetInfoReq

class TGetInfoReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### infoType

    TGetInfoType infoType

See Also:
  - `TGetInfoType`

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetInfoResp

class TGetInfoResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### infoValue

    TGetInfoValue infoValue

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetInfoValue

class TGetInfoValue extends org.apache.thrift.TUnion<TGetInfoValue,TGetInfoValue._Fields> implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Class com.databricks.jdbc.model.client.thrift.generated.TGetOperationStatusReq

class TGetOperationStatusReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### getProgressUpdate

    boolean getProgressUpdate

##### operationHandle

    TOperationHandle operationHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetOperationStatusResp

class TGetOperationStatusResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### diagnosticInfo

    String diagnosticInfo

##### displayMessage

    String displayMessage

##### errorCode

    int errorCode

##### errorDetailsJson

    String errorDetailsJson

##### errorMessage

    String errorMessage

##### hasResultSet

    boolean hasResultSet

##### numModifiedRows

    long numModifiedRows

##### operationCompleted

    long operationCompleted

##### operationStarted

    long operationStarted

##### operationState

    TOperationState operationState

See Also:
  - `TOperationState`

##### progressUpdateResponse

    TProgressUpdateResp progressUpdateResponse

##### sqlState

    String sqlState

##### status

    TStatus status

##### taskStatus

    String taskStatus

### Class com.databricks.jdbc.model.client.thrift.generated.TGetPrimaryKeysReq

class TGetPrimaryKeysReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### catalogName

    String catalogName

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### schemaName

    String schemaName

##### sessionHandle

    TSessionHandle sessionHandle

##### tableName

    String tableName

### Class com.databricks.jdbc.model.client.thrift.generated.TGetPrimaryKeysResp

class TGetPrimaryKeysResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetResultSetMetadataReq

class TGetResultSetMetadataReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### operationHandle

    TOperationHandle operationHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetResultSetMetadataResp

class TGetResultSetMetadataResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### arrowSchema

    ByteBuffer arrowSchema

##### cacheLookupResult

    TCacheLookupResult cacheLookupResult

See Also:
  - `TCacheLookupResult`

##### compressedBytes

    long compressedBytes

##### isStagingOperation

    boolean isStagingOperation

##### lz4Compressed

    boolean lz4Compressed

##### resultFormat

    TSparkRowSetType resultFormat

See Also:
  - `TSparkRowSetType`

##### schema

    TTableSchema schema

##### status

    TStatus status

##### uncompressedBytes

    long uncompressedBytes

### Class com.databricks.jdbc.model.client.thrift.generated.TGetSchemasReq

class TGetSchemasReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### catalogName

    String catalogName

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### schemaName

    String schemaName

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetSchemasResp

class TGetSchemasResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetTablesReq

class TGetTablesReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### catalogName

    String catalogName

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### schemaName

    String schemaName

##### sessionHandle

    TSessionHandle sessionHandle

##### tableName

    String tableName

##### tableTypes

    List<String> tableTypes

### Class com.databricks.jdbc.model.client.thrift.generated.TGetTablesResp

class TGetTablesResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetTableTypesReq

class TGetTableTypesReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetTableTypesResp

class TGetTableTypesResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TGetTypeInfoReq

class TGetTypeInfoReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### getDirectResults

    TSparkGetDirectResults getDirectResults

##### runAsync

    boolean runAsync

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TGetTypeInfoResp

class TGetTypeInfoResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### directResults

    TSparkDirectResults directResults

##### operationHandle

    TOperationHandle operationHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.THandleIdentifier

class THandleIdentifier extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### guid

    ByteBuffer guid

##### secret

    ByteBuffer secret

### Class com.databricks.jdbc.model.client.thrift.generated.TI16Column

class TI16Column extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<Short> values

### Class com.databricks.jdbc.model.client.thrift.generated.TI16Value

class TI16Value extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### value

    short value

### Class com.databricks.jdbc.model.client.thrift.generated.TI32Column

class TI32Column extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<Integer> values

### Class com.databricks.jdbc.model.client.thrift.generated.TI32Value

class TI32Value extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### value

    int value

### Class com.databricks.jdbc.model.client.thrift.generated.TI64Column

class TI64Column extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<Long> values

### Class com.databricks.jdbc.model.client.thrift.generated.TI64Value

class TI64Value extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### value

    long value

### Class com.databricks.jdbc.model.client.thrift.generated.TMapTypeEntry

class TMapTypeEntry extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### keyTypePtr

    int keyTypePtr

##### valueTypePtr

    int valueTypePtr

### Class com.databricks.jdbc.model.client.thrift.generated.TNamespace

class TNamespace extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### catalogName

    String catalogName

##### schemaName

    String schemaName

### Class com.databricks.jdbc.model.client.thrift.generated.TOpenSessionReq

class TOpenSessionReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### canUseMultipleCatalogs

    boolean canUseMultipleCatalogs

##### client_protocol

    TProtocolVersion client_protocol

See Also:
  - `TProtocolVersion`

##### client_protocol_i64

    long client_protocol_i64

##### configuration

    Map<String,String> configuration

##### connectionProperties

    Map<String,String> connectionProperties

##### getInfos

    List<TGetInfoType> getInfos

##### initialNamespace

    TNamespace initialNamespace

##### password

    String password

##### username

    String username

### Class com.databricks.jdbc.model.client.thrift.generated.TOpenSessionResp

class TOpenSessionResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### canUseMultipleCatalogs

    boolean canUseMultipleCatalogs

##### configuration

    Map<String,String> configuration

##### getInfos

    List<TGetInfoValue> getInfos

##### initialNamespace

    TNamespace initialNamespace

##### serverProtocolVersion

    TProtocolVersion serverProtocolVersion

See Also:
  - `TProtocolVersion`

##### sessionHandle

    TSessionHandle sessionHandle

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TOperationHandle

class TOperationHandle extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### hasResultSet

    boolean hasResultSet

##### modifiedRowCount

    double modifiedRowCount

##### operationId

    THandleIdentifier operationId

##### operationType

    TOperationType operationType

See Also:
  - `TOperationType`

### Class com.databricks.jdbc.model.client.thrift.generated.TPrimitiveTypeEntry

class TPrimitiveTypeEntry extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### type

    TTypeId type

See Also:
  - `TTypeId`

##### typeQualifiers

    TTypeQualifiers typeQualifiers

### Class com.databricks.jdbc.model.client.thrift.generated.TProgressUpdateResp

class TProgressUpdateResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### footerSummary

    String footerSummary

##### headerNames

    List<String> headerNames

##### progressedPercentage

    double progressedPercentage

##### rows

    List<List<String>> rows

##### startTime

    long startTime

##### status

    TJobExecutionStatus status

See Also:
  - `TJobExecutionStatus`

### Class com.databricks.jdbc.model.client.thrift.generated.TRenewDelegationTokenReq

class TRenewDelegationTokenReq extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### delegationToken

    String delegationToken

##### sessionHandle

    TSessionHandle sessionHandle

### Class com.databricks.jdbc.model.client.thrift.generated.TRenewDelegationTokenResp

class TRenewDelegationTokenResp extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### status

    TStatus status

### Class com.databricks.jdbc.model.client.thrift.generated.TRow

class TRow extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### colVals

    List<TColumnValue> colVals

### Class com.databricks.jdbc.model.client.thrift.generated.TRowSet

class TRowSet extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### arrowBatches

    List<TSparkArrowBatch> arrowBatches

##### binaryColumns

    ByteBuffer binaryColumns

##### columnCount

    int columnCount

##### columns

    List<TColumn> columns

##### resultLinks

    List<TSparkArrowResultLink> resultLinks

##### rows

    List<TRow> rows

##### startRowOffset

    long startRowOffset

### Class com.databricks.jdbc.model.client.thrift.generated.TSessionHandle

class TSessionHandle extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### sessionId

    THandleIdentifier sessionId

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkArrowBatch

class TSparkArrowBatch extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### batch

    ByteBuffer batch

##### rowCount

    long rowCount

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkArrowResultLink

class TSparkArrowResultLink extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### bytesNum

    long bytesNum

##### expiryTime

    long expiryTime

##### fileLink

    String fileLink

##### httpHeaders

    Map<String,String> httpHeaders

##### rowCount

    long rowCount

##### startRowOffset

    long startRowOffset

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkArrowTypes

class TSparkArrowTypes extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### complexTypesAsArrow

    boolean complexTypesAsArrow

##### decimalAsArrow

    boolean decimalAsArrow

##### intervalTypesAsArrow

    boolean intervalTypesAsArrow

##### nullTypeAsArrow

    boolean nullTypeAsArrow

##### timestampAsArrow

    boolean timestampAsArrow

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkDirectResults

class TSparkDirectResults extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### closeOperation

    TCloseOperationResp closeOperation

##### operationStatus

    TGetOperationStatusResp operationStatus

##### resultSet

    TFetchResultsResp resultSet

##### resultSetMetadata

    TGetResultSetMetadataResp resultSetMetadata

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkGetDirectResults

class TSparkGetDirectResults extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### maxBytes

    long maxBytes

##### maxRows

    long maxRows

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkParameter

class TSparkParameter extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### arguments

    List<TSparkParameterValueArg> arguments

##### name

    String name

##### ordinal

    int ordinal

##### type

    String type

##### value

    TSparkParameterValue value

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkParameterValue

class TSparkParameterValue extends org.apache.thrift.TUnion<TSparkParameterValue,TSparkParameterValue._Fields> implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Class com.databricks.jdbc.model.client.thrift.generated.TSparkParameterValueArg

class TSparkParameterValueArg extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### arguments

    List<TSparkParameterValueArg> arguments

##### type

    String type

##### value

    String value

### Class com.databricks.jdbc.model.client.thrift.generated.TStatementConf

class TStatementConf extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### client_protocol

    TProtocolVersion client_protocol

See Also:
  - `TProtocolVersion`

##### client_protocol_i64

    long client_protocol_i64

##### initialNamespace

    TNamespace initialNamespace

##### sessionless

    boolean sessionless

### Class com.databricks.jdbc.model.client.thrift.generated.TStatus

class TStatus extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### __isset_bitfield

    byte __isset_bitfield

##### displayMessage

    String displayMessage

##### errorCode

    int errorCode

##### errorDetailsJson

    String errorDetailsJson

##### errorMessage

    String errorMessage

##### infoMessages

    List<String> infoMessages

##### sqlState

    String sqlState

##### statusCode

    TStatusCode statusCode

See Also:
  - `TStatusCode`

### Class com.databricks.jdbc.model.client.thrift.generated.TStringColumn

class TStringColumn extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nulls

    ByteBuffer nulls

##### values

    List<String> values

### Class com.databricks.jdbc.model.client.thrift.generated.TStringValue

class TStringValue extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### value

    String value

### Class com.databricks.jdbc.model.client.thrift.generated.TStructTypeEntry

class TStructTypeEntry extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nameToTypePtr

    Map<String,Integer> nameToTypePtr

### Class com.databricks.jdbc.model.client.thrift.generated.TTableSchema

class TTableSchema extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### columns

    List<TColumnDesc> columns

### Class com.databricks.jdbc.model.client.thrift.generated.TTypeDesc

class TTypeDesc extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### types

    List<TTypeEntry> types

### Class com.databricks.jdbc.model.client.thrift.generated.TTypeEntry

class TTypeEntry extends org.apache.thrift.TUnion<TTypeEntry,TTypeEntry._Fields> implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Class com.databricks.jdbc.model.client.thrift.generated.TTypeQualifiers

class TTypeQualifiers extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### qualifiers

    Map<String,TTypeQualifierValue> qualifiers

### Class com.databricks.jdbc.model.client.thrift.generated.TTypeQualifierValue

class TTypeQualifierValue extends org.apache.thrift.TUnion<TTypeQualifierValue,TTypeQualifierValue._Fields> implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

### Class com.databricks.jdbc.model.client.thrift.generated.TUnionTypeEntry

class TUnionTypeEntry extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### nameToTypePtr

    Map<String,Integer> nameToTypePtr

### Class com.databricks.jdbc.model.client.thrift.generated.TUserDefinedTypeEntry

class TUserDefinedTypeEntry extends Object implements Serializable

#### Serialization Methods

##### readObject

private void readObject(ObjectInputStream in) throws IOException, ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

##### writeObject

private void writeObject(ObjectOutputStream out) throws IOException

Throws:
  `IOException`

#### Serialized Fields

##### typeClassName

    String typeClassName